com.amazonaws.codegen.emitters

## Class GeneratorTaskExecutor

- java.lang.Object
- - com.amazonaws.codegen.emitters.GeneratorTaskExecutor

    public class GeneratorTaskExecutor
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`GeneratorTaskExecutor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `shutdown()`
`void` `submit(GeneratorTask task)`
`void` `waitForCompletion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GeneratorTaskExecutor

    public GeneratorTaskExecutor()

### Method Detail

#### submit

    public void submit(GeneratorTask task)

#### waitForCompletion

    public void waitForCompletion()
                           throws InterruptedException,
                                  ExecutionException

Throws:
  `InterruptedException`
  `ExecutionException`

#### shutdown

    public void shutdown()